h1 {
    margin-top: 20px;
    margin-bottom: 10px;
    color: #fff;
    font-size: 10vh;
    line-height: 10vh;
    font-weight: 700;
}

h2 {
    margin-top: 20px;
    margin-bottom: 20px;
    color: #fff;
    font-size: 38px;
    line-height: 48px;
    font-weight: 700;
}

h3 {
    margin-top: 10px;
    margin-bottom: 25px;
    color: #6b6b6b;
    font-size: 24px;
    line-height: 40px;
    font-weight: 400;
}

p {
    margin-bottom: 10px;
    color: #6b6b6b;
    font-size: 16px;
    line-height: 30px;
}

a {
    color: #fff;
    text-decoration: underline;
}

.section {
    margin-top: 40px;
    margin-bottom: 40px;
    padding-top: 24px;
    padding-bottom: 24px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #03142b;
}

.section.hero {
    background-color: #cf0063;
    background-image: linear-gradient(135deg, #03142b, #350e47 93%);
    display: grid;
    margin-top: 0;
    padding-top: 15vh;
    padding-right: 10vw;
    padding-left: 10vw;
    grid-template:
        "main cover" auto
        "arrow arrow";
}

.section.wide {
    display: flex;
    height: auto;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #03142b;
    background-image: linear-gradient(180deg, #03142b, rgba(179, 46, 110, 0.8));
}

.section.sneakpeak {
    margin-top: 100px;
    margin-bottom: 0px;
}

.nav {
    position: fixed;
    left: 0%;
    top: 0%;
    right: 0%;
    bottom: auto;
    display: flex;
    height: auto;
    justify-content: space-between;
    align-items: center;
    background-color: transparent;
}

.nav-div {
    display: flex;
    width: 80vw;
    padding-top: 0px;
    padding-bottom: 0px;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px none hsla(0, 0%, 100%, 0.1);
}

.body {
    background-color: #03142b;
    font-family: "Gothic A1";
}

.heading {
    margin-top: 10px;
    margin-bottom: 0px;
    font-family: Cinzel, "Times New Roman", sans-serif;
    color: #eaffb8;
    font-size: 40px;
    line-height: 52px;
    font-weight: 500;
}

.sneakpeak .heading {
    margin: 32px 0;
}

.button {
    display: inline-block;
    margin-right: 0px;
    padding: 16px 40px;
    border-radius: 3px;
    background-color: #fc0a7e;
    transition:
        background-color 300ms cubic-bezier(0.789, 0.159, 0.25, 1),
        color 200ms cubic-bezier(0.789, 0.159, 0.25, 1);
    font-family: Sourcesanspro, sans-serif;
    color: #fff;
    font-size: 24px;
    line-height: 24px;
    font-weight: 600;
    text-align: center;
}

.button:hover {
    background-color: #fff;
    color: #6b6b6b;
}

.sneakpeak .button {
    margin: 1.2em auto 0.8rem;
}

.footer-div {
    max-width: 700px;
    padding-bottom: 40px;
    text-align: center;
}

.nav-link {
    margin-right: 15px;
    margin-bottom: 20px;
    margin-left: 15px;
    padding-top: 40px;
    padding-right: 0px;
    padding-left: 0px;
    flex: 0 auto;
    font-family: Sourcesanspro, sans-serif;
    color: #e0e0e0;
    font-size: 18px;
    line-height: 24px;
    font-weight: 400;
}

.nav-link:hover {
    box-shadow: inset 0 -5px 0 0 #fc0a7e;
    color: #fff;
}

.nav-link.w--current {
    color: #fc0a7e;
}

.hero-cover {
    display: flex;
    grid-area: cover;
}

.cover-image {
    box-shadow: 0 5px 40px 3px #b32e6e;
    flex: 1;
    max-height: 60vh;
}

.cover-link {
    display: inline-block;
    text-decoration: none;
    text-style: normal;
}

.hero-main {
    grid-area: main;
    display: flex;
    width: 100%;
    flex-direction: column;
    align-items: flex-start;
}

.hero-blurb {
    max-width: 80%;
    font-family: Sourcesanspro, sans-serif;
    color: #e0e0e0;
    font-size: 26px;
    line-height: 30px;
    letter-spacing: 0.6px;
    margin-bottom: 0.8em;
}

.quote {
    font-family: "Times New Roman", sans-serif;
}

.italics {
    font-style: italic;
}

.footer {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #03142b;
}

.footer-link {
    margin-right: 15px;
    margin-left: 15px;
    color: #eaffb8;
    font-size: 14px;
    text-decoration: none;
}

.footer-link:hover {
    color: #fff;
}

.foot-list {
    margin-top: 16px;
    font-family: Sourcesanspro, sans-serif;
}

.form {
    display: flex;
    margin-top: 40px;
}

.input {
    height: 70px;
    margin-bottom: 0px;
    padding-right: 0px;
    padding-left: 20px;
    clear: none;
    flex: 0 auto;
    border-style: none;
    border-top-left-radius: 3px;
    border-bottom-left-radius: 3px;
    background-color: #fff;
    box-shadow: inset 0 0 0 0 #fc0a7e;
    transition: box-shadow 300ms cubic-bezier(0.215, 0.61, 0.355, 1);
    font-family: Sourcesanspro, sans-serif;
    color: #000;
    font-size: 16px;
}

.input:hover {
    box-shadow: inset 0 0 0 2px #fc0a7e;
}

.input:focus {
    box-shadow: inset 0 0 0 2px #fc0a7e;
}

.input::placeholder {
    color: #555;
}

.arrow {
    grid-area: arrow;
    margin-right: auto;
    margin-left: auto;
}

.nav-logo-div {
    flex: 0 0 auto;
}

.hero-heading {
    font-family: Cinzel, "Times New Roman", sans-serif;
    color: #e0e0e0;
    font-size: 54px;
    font-weight: 700;
}

.nav-text {
    font-family: Cinzel, "Times New Roman", sans-serif;
    color: #eaffb8;
    font-size: 48px;
    line-height: 40px;
    font-weight: 500;
}

.container {
    display: flex;
    max-width: 80%;
    justify-content: center;
    grid-column-gap: 16px;
    grid-row-gap: 16px;
}

.book-div {
    display: flex;
    padding: 24px;
    flex: 1;
    flex-direction: column;
    align-items: center;
    border-bottom: 4px solid #b32e6e;
    filter: hue-rotate(270deg);
    max-width: 30%;
    transition:
        transform 200ms cubic-bezier(0.175, 0.885, 0.32, 1.275),
        opacity 200ms ease;
    transform-style: preserve-3d;
}

.book-div:hover {
    filter: none;
    transform: scale3d(1.02, 1.02, 1.02);
}

.book-title {
    font-family: Cinzel, "Times New Roman", sans-serif;
    font-size: 32px;
    line-height: 40px;
    font-weight: 500;
}

.book-intro {
    font-family: Sourcesanspro, sans-serif;
    color: #e0e0e0;
    line-height: 18px;
    letter-spacing: 0.4px;
    margin-bottom: 0.4em;
}

.book-cover {
    width: 254px;
}

.section-title {
    font-family: Sourcesanspro, sans-serif;
    color: #b32e6e;
    font-size: 32px;
    line-height: 30px;
    font-weight: 700;
    text-align: center;
}

.section-title.about {
    color: #eaffb8;
}

.section-title.sneak-peak {
    color: #fc0a7e;
}

.section-subtitle {
    font-family: Sourcesanspro, sans-serif;
    color: #955df1;
}

.newsletter-div {
    padding-top: 24px;
    padding-bottom: 40px;
    text-align: center;
}

.order-div {
    font-weight: bold;
    padding-top: 24px;
    padding-bottom: 40px;
    text-align: center;
}

.order-div h3 {
    color: #e0e0e0;
}

.order-div a {
    font-size: 2em;
}

.amazon-link {
    text-decoration: none;
}

.stores {
    align-content: center;
    align-items: center;
    display: grid;
    grid-template-columns: 30% 30% 30%;
    grid-gap: 3%;
    padding: 0 2%;
}

.stores > * {
    display: inline-block;
    text-align: center;
    width: 100%;
}

.white-bg {
    background-color: white;
}

.about-div {
    margin-top: 20px;
    margin-bottom: 32px;
    padding-bottom: 24px;
    border-bottom: 4px solid #eaffb8;
}

.about-text {
    font-family: Sourcesanspro, sans-serif;
    color: rgba(234, 255, 184, 0.7);
    font-size: 24px;
    line-height: 32px;
    margin-top: 0.5em;
    font-weight: 300;
}

.link {
    cursor: pointer;
    margin-top: 16px;
    margin-bottom: 16px;
    font-family: Sourcesanspro, sans-serif;
    color: #fc0a7e;
    font-size: 24px;
    text-decoration: underline;
}

.link:hover {
    color: #b32e6e;
}

.link.small {
    margin-top: 0;
    font-size: 18px;
}

.sneakpeak .link.small + .link.small {
    padding-left: 16px;
}

.link-group {
    display: flex;
    margin-top: 16px;
    margin-bottom: 16px;
    gap: 16px;
}

.text-div {
    padding: 40px 70px;
    flex-direction: column;
    text-align: justify;
    outline-color: #955df1;
    outline-offset: 0px;
    outline-style: solid;
    outline-width: 1px;
}

.paragraph {
    margin: 2px auto;
    max-width: 44em;
    font-family: "PT Serif", serif;
    color: #e0e0e0;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0.08em;
    text-indent: 20px;
}

.center {
    text-align: center;
    text-indent: 0;
}

.credits {
    font-size: 12px;
    margin-bottom: 24px;
}

.divider {
    margin-top: 32px;
    margin-bottom: 32px;
}

.utility-page-wrap {
    display: flex;
    width: 100vw;
    height: 100vh;
    max-height: 100%;
    max-width: 100%;
    justify-content: center;
    align-items: center;
}

.utility-page-content {
    display: flex;
    width: 260px;
    flex-direction: column;
    text-align: center;
}

.utility-page-form {
    display: flex;
    flex-direction: column;
    align-items: stretch;
}

.dropdown {
    display: block;
    text-align: center;
}

.sneak-peak-div {
    width: 100%;
}

.dropdown-list {
    background-color: #03142b;
}

.icon {
    color: #955df1;
    font-size: 32px;
}

@media screen and (max-width: 1279px) {
    h2 {
        font-size: 34px;
        line-height: 44px;
    }

    h3 {
        font-size: 20px;
        line-height: 32px;
    }

    .nav {
        width: 100vw;
    }

    .nav-div {
        width: 100vw;
    }

    .nav-menu.w--open {
        background: rgba(3, 20, 43, 0.9);
    }

    .nav-link {
        margin-bottom: 8px;
        padding-top: 8px;
        padding-bottom: 8px;
    }

    .nav-link:hover {
        box-shadow: none;
    }

    .hero-cover {
        margin-right: auto;
        margin-bottom: 7vw;
        margin-left: auto;
    }

    .hero-main {
        margin-bottom: 40px;
    }

    .hero-blurb {
        font-size: 24px;
        line-height: 31px;
    }

    .menu-icon {
        color: #fff;
        font-size: 40px;
    }

    .menu-button.w--open {
        background-color: #03142b;
    }

    .nav-menu-socials {
        display: inline-block;
        float: none;
        padding: 18px;
    }

    .nav-menu-socials .fa-brands {
        position: relative;
        top: 0px;
    }

    .nav-menu:not(.nav-menu-socials) {
        display: none;
        min-width: 240px;
        padding-top: 20px;
        padding-right: 20px;
        padding-left: 20px;
        background-color: #03142b;
        background-image: linear-gradient(0deg, rgba(149, 93, 241, 0.3), #03142b);
    }

    .brand {
        padding-left: 18px;
    }

    .hero-heading {
        font-size: 48px;
        line-height: 56px;
    }

    .container {
        max-width: 90%;
    }

    .book-div {
        max-width: 100%;
        padding-right: 0px;
        padding-left: 0px;
    }

    .w-nav-button {
        display: block;
    }
}

@media screen and (max-width: 767px) {
    h2 {
        font-size: 28px;
        line-height: 38px;
    }

    .section {
        margin-top: 0px;
        margin-bottom: 0px;
    }

    .button {
        font-size: 20px;
        padding: 8px 24px;
    }

    .link {
        font-size: 20px;
    }

    .footer-div {
        display: flex;
        width: 100%;
        max-width: none;
        padding-right: 15vw;
        padding-bottom: 20px;
        padding-left: 15vw;
        flex-direction: column;
        justify-content: center;
        flex-wrap: wrap;
        align-items: center;
    }

    .nav-menu-socials .fa-brands {
        position: relative;
        top: -5px;
    }

    .nav-link:hover {
        color: #eaffb8;
    }

    .hero-cover {
        margin-bottom: 10vw;
    }

    .hero-main {
        margin-bottom: 5vh;
    }

    .hero-blurb {
        font-size: 18px;
        line-height: 24px;
    }

    .footer-link {
        display: inline-block;
        margin-bottom: 10px;
    }

    .form {
        flex-direction: column;
    }

    .input {
        height: 40px;
        margin-bottom: 16px;
        padding-right: 22px;
        padding-left: 22px;
        border-top-right-radius: 3px;
        border-bottom-left-radius: 0px;
        text-align: center;
    }

    .menu-icon {
        font-size: 30px;
    }

    .hero-heading {
        font-size: 32px;
        line-height: 40px;
    }

    .form-block {
        width: 100%;
    }

    .book-div {
        max-width: 100%;
        padding-top: 16px;
        padding-bottom: 16px;
    }

    .book-title {
        margin-bottom: 8px;
        font-size: 24px;
        line-height: 32px;
    }

    .book-cover {
        width: auto;
        height: 200px;
    }

    .about-text {
        font-size: 18px;
        line-height: 24px;
    }

    .link.small {
        margin-top: 0px;
    }

    .text-div {
        padding: 16px;
    }
}

@media screen and (max-width: 639px) {
    .nav-menu-socials {
        padding-right: 1em;
    }

    .stores {
        grid-template-columns: 46% 46%;
        grid-gap: 4%;
    }
}

@media screen and (max-width: 511px) {
    .nav-text {
        font-size: 28px;
    }
}

@media screen and (max-width: 479px) {
    h1 {
        font-size: 60px;
        line-height: 70px;
    }

    h3 {
        font-size: 16px;
    }

    .section.hero {
        padding: 10vh 16px 5vh;
        grid-template:
            "cover"
            "main";
    }

    .arrow {
        display: none;
    }

    .section.sneakpeak {
        margin-top: 60px;
    }

    .nav-div {
        width: 100vw;
    }

    .heading {
        margin: 0px;
        font-size: 28px;
        line-height: 52px;
    }

    .footer-div {
        padding: 2vh 2vw;
    }

    .hero-cover {
        align-self: center;
        width: 80%;
    }

    .cover-image {
        flex: 0;
        margin: 0 auto;
    }

    .hero-main {
        align-items: center;
        margin-bottom: 0;
        text-align: center;
    }

    .hero-blurb {
        max-width: 100%;
        font-size: 16px;
        line-height: 20px;
        letter-spacing: 0.75px;
    }

    .footer-link {
        margin-right: 8px;
        margin-bottom: 8px;
        margin-left: 8px;
    }

    .foot-list {
        display: grid;
        padding-top: 0px;
        padding-bottom: 0px;
        flex-direction: column;
        grid-auto-columns: 1fr;
        grid-column-gap: 0px;
        grid-row-gap: 0px;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: auto auto;
    }

    .form {
        width: 90vw;
        flex-direction: column;
    }

    .input {
        height: 32px;
    }

    .hero-heading {
        font-size: 28px;
        line-height: 30px;
    }

    .container {
        flex-direction: column;
    }

    .book-div {
        max-width: 100%;
        padding-right: 10px;
        padding-left: 10px;
    }

    .book-intro {
        text-align: center;
    }

    .book-cover {
        width: 80%;
        height: auto;
    }

    .section-title {
        margin-right: 32px;
        margin-left: 32px;
        font-size: 24px;
    }

    .newsletter-div {
        margin-right: 16px;
        margin-left: 16px;
    }

    .about-div {
        margin-top: 0px;
        margin-bottom: 0px;
        padding-right: 10px;
        padding-left: 10px;
        line-height: 18px;
        text-align: center;
    }

    .link-group {
        flex-direction: column;
        gap: 0;
        margin-top: 24px;
    }

    .paragraph {
        margin-top: 8px;
        letter-spacing: -0.2px;
    }

    .icon {
        margin-top: 0px;
        margin-right: 0px;
        margin-bottom: 0px;
    }
}

@media screen and (max-width: 399px) {
    .nav-menu-socials {
        padding-right: 0;
    }
}

@font-face {
    font-family: "Cinzel";
    src: url("../fonts/Cinzel-Bold.ttf") format("truetype");
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Cinzel";
    src: url("../fonts/Cinzel-Regular.ttf") format("truetype");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Cinzel";
    src: url("../fonts/Cinzel-Medium.ttf") format("truetype");
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Sourcesanspro";
    src: url("../fonts/SourceSansPro-ExtraLight.ttf") format("truetype");
    font-weight: 200;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Sourcesanspro";
    src: url("../fonts/SourceSansPro-Light.ttf") format("truetype");
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Sourcesanspro";
    src: url("../fonts/SourceSansPro-Regular.ttf") format("truetype");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Sourcesanspro";
    src: url("../fonts/SourceSansPro-Bold.ttf") format("truetype");
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Sourcesanspro";
    src: url("../fonts/SourceSansPro-SemiBold.ttf") format("truetype");
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

/* FONT AWESOME */

.fa-brands {
    display: block;
    height: 1em;
    width: 1em;
}

.fa-brands::before {
    font-family: "Font Awesome 7 Brands";
    font-style: normal;
    font-weight: 400;
    left: 50%;
    position: absolute;
    transform: translateX(-50%);
}

.fa-apple::before {
    content: "\f179";
}

.fa-instagram::before {
    content: "\f16d";
}

.fa-bluesky::before {
    content: "\e6a3";
}

@font-face {
    font-family: "Font Awesome 7 Brands";
    src: url("/fonts/fa-brands-400.woff2");
    font-weight: 400;
    font-style: normal;
    font-display: block;
}
